body {
    background-color: #eee;
}

.hello {
    opacity: 1 !important;
}

.gallery {
    display: inline-grid;
    grid-column-gap: 8px;
    grid-row-gap: 8px;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    grid-template-rows: auto auto auto;
    grid-auto-rows: 8px;
}

.gallery img {
    max-width: 100%;
    border-radius: 8px;
    box-shadow: 0 0 16px #333;
    transition: all 1.5s ease;
}

.gallery img:hover {
    box-shadow: 0 0 32px #333;
}

.gallery .content {
    padding: 4px;
}

.gallery .gallery-item {
    transition: grid-row-start 300ms linear;
    transition: transform 300ms ease;
    transition: all 0.5s ease;
    cursor: pointer;
}

.gallery .gallery-item:hover {
    transform: scale(1.025);
}

@media (max-width: 600px) {
    .gallery {
        grid-template-columns: repeat(auto-fill, minmax(30%, 1fr));
    }
}

@media (max-width: 400px) {
    .gallery {
        /*grid-template-columns: repeat(auto-fill, minmax(50%, 1fr));*/
    }
}

@-moz-keyframes zoomin {
    0% {
        max-width: 50%;
        transform: rotate(-30deg);
        filter: blur(4px);
    }

    30% {
        filter: blur(4px);
        transform: rotate(-80deg);
    }

    70% {
        max-width: 50%;
        transform: rotate(45deg);
    }

    100% {
        max-width: 100%;
        transform: rotate(0deg);
    }
}

@-webkit-keyframes zoomin {
    0% {
        max-width: 50%;
        transform: rotate(-30deg);
        filter: blur(4px);
    }

    30% {
        filter: blur(4px);
        transform: rotate(-80deg);
    }

    70% {
        max-width: 50%;
        transform: rotate(45deg);
    }

    100% {
        max-width: 100%;
        transform: rotate(0deg);
    }
}

@-o-keyframes zoomin {
    0% {
        max-width: 50%;
        transform: rotate(-30deg);
        filter: blur(4px);
    }

    30% {
        filter: blur(4px);
        transform: rotate(-80deg);
    }

    70% {
        max-width: 50%;
        transform: rotate(45deg);
    }

    100% {
        max-width: 100%;
        transform: rotate(0deg);
    }
}

@keyframes zoomin {
    0% {
        max-width: 50%;
        transform: rotate(-30deg);
        filter: blur(4px);
    }

    30% {
        filter: blur(4px);
        transform: rotate(-80deg);
    }

    70% {
        max-width: 50%;
        transform: rotate(45deg);
    }

    100% {
        max-width: 100%;
        transform: rotate(0deg);
    }
}
